Page MenuHomePhabricator

elm_fileselector: move to focus compostition
ClosedPublic

Authored by bu5hm4n on Jul 10 2018, 4:48 AM.

Details

Summary

elm_fileselector was using efl_ui_widget_state_apply to call for internal chain update.
This internal chain update was relying on efl_ui_focus_object_manager_get, which
results in a wrong value at this time, since the value is still the old one and not the
current one. (This behaviour will be updated after the release). Focus composition
solves this issue by not relying on the properties of efl.ui.focus_object, but rather
take the values from the configuration in the state_apply call.

fix T6147
fix T7105

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jul 10 2018, 4:48 AM
bu5hm4n requested review of this revision.Jul 10 2018, 4:48 AM
herdsman requested changes to this revision.Jul 10 2018, 5:03 AM
herdsman added a subscriber: herdsman.

May I ask to reword so that it says "Focus Composition" and not just "Composition"?
I was rather confused.

This revision now requires changes to proceed.Jul 10 2018, 5:03 AM
bu5hm4n updated this revision to Diff 15553.Jul 10 2018, 5:09 AM
bu5hm4n retitled this revision from elm_fileselector: move to compostition to elm_fileselector: move to focus compostition.
bu5hm4n edited the summary of this revision. (Show Details)
bu5hm4n edited the summary of this revision. (Show Details)Jul 10 2018, 6:48 AM
zmike requested changes to this revision.Jul 10 2018, 10:36 AM

I like the detail but this needs line wrapping pretty badly.

This revision now requires changes to proceed.Jul 10 2018, 10:36 AM
bu5hm4n edited the summary of this revision. (Show Details)Jul 10 2018, 11:25 AM
bu5hm4n requested review of this revision.Jul 10 2018, 1:43 PM
segfaultxavi resigned from this revision.Jul 11 2018, 1:35 AM

Sorry, I have no knowledge whatsoever of how focus works at this moment.

zmike accepted this revision.Jul 12 2018, 6:29 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 12 2018, 6:33 AM
Closed by commit rEFL92820dbb884c: elm_fileselector: move to focus compostition (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain Why
This revision was automatically updated to reflect the committed changes.